#!/bin/sh
MOUNT_POINT=`hal-get-property --udi "$1" --key volume.mount_point`
if test "$MOUNT_POINT" == ""; then
  exec gthumb --import-photos
else
  # usually it's vfat so it doesn't matter, but ... oh well
  for i in "$MOUNT_POINT/DCIM" "$MOUNT_POINT/dcim"; do
    if [ -d "$i" ]; then
      SUBDIRS="$(find "$i" -type d -maxdepth 1 -mindepth 1)"
      if [ "$(echo "$SUBDIRS" | wc -l)" = "1" ]; then
        i="$SUBDIRS"
      fi
      gthumb "$i"
      exit 0
    fi
  done
  gthumb "$MOUNT_POINT"
  exit 0
fi
